## ros-kinetic-exotica-aico-solver 6.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(exotica_aico_solver)

## Find catkin macros and libraries
find_package(catkin REQUIRED COMPONENTS
  exotica_core
)

AddInitializer(
  approximate_inference_solver
  aico_solver
  bayesian_ik_solver
)
GenInitializers()

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS exotica_core
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_library(${PROJECT_NAME}
  src/aico_solver.cpp
  src/bayesian_ik_solver.cpp
)
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
)
add_dependencies(${PROJECT_NAME}
  ${PROJECT_NAME}_initializers
  ${catkin_EXPORTED_TARGETS}
)

## Install
install(TARGETS ${PROJECT_NAME}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})
install(DIRECTORY include/${PROJECT_NAME}/ DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})
install(FILES exotica_plugins.xml DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-exotica-aico-solver (6.1.1-1xenial) xenial; urgency=high



 -- Vladimir Ivan <v.ivan@ed.ac.uk>  Sun, 04 Apr 2021 23:00:00 -0000

ros-kinetic-exotica-aico-solver (6.1.0-1xenial) xenial; urgency=high

  * Clang support and bug fixes (#731 <https://github.com/ipab-slmc/exotica/issues/731>)
  * Contributors: Wolfgang Merkt

 -- Vladimir Ivan <v.ivan@ed.ac.uk>  Mon, 15 Mar 2021 00:00:00 -0000

ros-kinetic-exotica-aico-solver (6.0.2-1xenial) xenial; urgency=high



 -- Vladimir Ivan <v.ivan@ed.ac.uk>  Mon, 23 Nov 2020 00:00:00 -0000

ros-kinetic-exotica-aico-solver (6.0.1-1xenial) xenial; urgency=high



 -- Vladimir Ivan <v.ivan@ed.ac.uk>  Tue, 17 Nov 2020 00:00:00 -0000

ros-kinetic-exotica-aico-solver (6.0.0-1xenial) xenial; urgency=high

  * CMakeLists: Upgrade minimum version to 3.0.2 to avoid CMP0048
  * Contributors: Wolfgang Merkt

 -- Vladimir Ivan <v.ivan@ed.ac.uk>  Sun, 08 Nov 2020 00:00:00 -0000

ros-kinetic-exotica-aico-solver (5.1.3-1xenial) xenial; urgency=high



 -- Vladimir Ivan <v.ivan@ed.ac.uk>  Thu, 13 Feb 2020 00:00:00 -0000

ros-kinetic-exotica-aico-solver (5.1.2-1xenial) xenial; urgency=high



 -- Vladimir Ivan <v.ivan@ed.ac.uk>  Mon, 10 Feb 2020 00:00:00 -0000

ros-kinetic-exotica-aico-solver (5.1.1-1xenial) xenial; urgency=high



 -- Vladimir Ivan <v.ivan@ed.ac.uk>  Mon, 10 Feb 2020 00:00:00 -0000

ros-kinetic-exotica-aico-solver (5.1.0-1xenial) xenial; urgency=high

  * Various updates
  * Contributors: Christian Rauch, Vladimir Ivan, Wolfgang Merkt

 -- Vladimir Ivan <v.ivan@ed.ac.uk>  Fri, 31 Jan 2020 00:00:00 -0000

=== debian/control ===
Source: ros-kinetic-exotica-aico-solver
Section: misc
Priority: optional
Maintainer: Vladimir Ivan <v.ivan@ed.ac.uk>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-exotica-core
Homepage: https://github.com/ipab-slmc/exotica
Standards-Version: 3.9.2

Package: ros-kinetic-exotica-aico-solver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-exotica-core
Description: Implementation of the Approximate Inference Control algorithm (AICO)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-exotica-aico-solver//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
